Logic Users – DO NOT INSTALL GARAGEBAND ’08!

I messed up my loops library so you don’t have to.

While previous versions of Garageband have had Apple Loops in .aiff format, it appears that Garageband ’08 Factory Installed Apple Loops are now in the Core Audio Format – or .caf.

These currently cannot be used with Logic Pro 7.2. You will get the following error message:

What this means is that if you install the iLife ’08 loop library you will not be able to use any of the factory installed Apple Loops – including with Factory Installed Apple Loops from previous versions of iLife and Logic. It seems that now all Apple provided Apple Loops are now in .caf and overwrite your regular factory .aiff Apple Loops library.

Any projects you have referencing these loops will not be able to find them after you install the Garageband ’08 loop library. Nor will these new .caf Apple Loops open in the Apple Loops Utility.

I believe this can be remedied just by a reinstall of the library that comes with Logic Pro 7.2, but I haven’t tried it yet. I’ll post again after doing so.

5 thoughts on “Logic Users – DO NOT INSTALL GARAGEBAND ’08!”

  1. Garageband 08 is really just a appetizer for Logic 8.<br/><br/>Folks get ready on August 20 for the new Pro-Tools killer. <br/><br/>I’ve seen the beta, and I would like to add not only is this a Pro-Tools killer, but it also goes into Ableton Live territory with its non-linear work-flow and single window style interface. <br/><br/>Its safe to say you don’t really need any GB instruments on your computer, because the new EXS has much higher quality sounds. Its basically a 30GB rompler, much like Colossus, but only even better sounding and much more efficient.

Comments are closed.